Package com.xebialabs.xlrelease.events

## Class ReleasePauseOperation

- java.lang.Object
- - com.xebialabs.xlrelease.events.ReleasePauseOperation

- All Implemented Interfaces:
    `ReleaseOperation`, `XLReleaseOperation`, `java.io.Serializable`, `scala.Equals`, `scala.Product`

      public class ReleasePauseOperation
      extends java.lang.Object
      implements ReleaseOperation, scala.Product, java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReleasePauseOperation​(Release release)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ReleasePausingAction` | `action()` |
    `static ReleasePauseOperation` | `apply​(Release release)` |
    `boolean` | `canEqual​(java.lang.Object x$1)` |
    `ReleasePauseOperation` | `copy​(Release release)` |
    `Release` | `copy$default$1()` |
    `boolean` | `equals​(java.lang.Object x$1)` |
    `ReleasePausedEvent` | `event()` |
    `int` | `hashCode()` |
    `int` | `productArity()` |
    `java.lang.Object` | `productElement​(int x$1)` |
    `java.lang.String` | `productElementName​(int x$1)` |
    `scala.collection.Iterator<java.lang.Object>` | `productIterator()` |
    `java.lang.String` | `productPrefix()` |
    `Release` | `release()` |
    `java.lang.String` | `toString()` |
    `static scala.Option<Release>` | `unapply​(ReleasePauseOperation x$0)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface scala.Product

      `productElementNames`

- - ### Constructor Detail

    - #### ReleasePauseOperation

          public ReleasePauseOperation​(Release release)

  - ### Method Detail

    - #### apply

          public static ReleasePauseOperation apply​(Release release)

    - #### unapply

          public static scala.Option<Release> unapply​(ReleasePauseOperation x$0)

    - #### release

          public Release release()

    - #### action

          public ReleasePausingAction action()

      Specified by:
        `action` in interface `XLReleaseOperation`

    - #### event

          public ReleasePausedEvent event()

      Specified by:
        `event` in interface `XLReleaseOperation`

    - #### copy

          public ReleasePauseOperation copy​(Release release)

    - #### copy$default$1

          public Release copy$default$1()

    - #### productPrefix

          public java.lang.String productPrefix()

      Specified by:
        `productPrefix` in interface `scala.Product`

    - #### productArity

          public int productArity()

      Specified by:
        `productArity` in interface `scala.Product`

    - #### productElement

          public java.lang.Object productElement​(int x$1)

      Specified by:
        `productElement` in interface `scala.Product`

    - #### productIterator

          public scala.collection.Iterator<java.lang.Object> productIterator()

      Specified by:
        `productIterator` in interface `scala.Product`

    - #### canEqual

          public boolean canEqual​(java.lang.Object x$1)

      Specified by:
        `canEqual` in interface `scala.Equals`

    - #### productElementName

          public java.lang.String productElementName​(int x$1)

      Specified by:
        `productElementName` in interface `scala.Product`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object x$1)

      Specified by:
        `equals` in interface `scala.Equals`
      Overrides:
        `equals` in class `java.lang.Object`